Debian Bug report logs - #431589
piuparts test: fails to install: missing dependency on postgresql-client

version graph

Package: moodle; Maintainer for moodle is Moodle Packaging Team <pkg-moodle-maintainers@lists.alioth.debian.org>; Source for moodle is src:moodle.

Reported by: Michael Ablassmeier <abi@grinser.de>

Date: Tue, 3 Jul 2007 16:33:11 UTC

Severity: serious

Found in version moodle/1.8.1-1

Fixed in version moodle/1.8.2-1.1

Done: Tobias Klauser <tklauser@access.unizh.ch>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Isaac Clerencia <isaac@debian.org>:
Bug#431589; Package moodle. Full text and rfc822 format available.

Acknowledgement sent to Michael Ablassmeier <abi@grinser.de>:
New Bug report received and forwarded. Copy sent to Isaac Clerencia <isaac@debian.org>. Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Michael Ablassmeier <abi@grinser.de>
To: maintonly@bugs.debian.org
Subject: piuparts test: fails to install: missing dependency on postgresql-client
Date: Tue, 3 Jul 2007 18:32:25 +0200
Package: moodle
Version: 1.8.1-1
Severity: serious

hi,

while running archive wide piuparts tests your package failed on install with
the following error: 

  Setting up moodle (1.8.1-1) ...
  
  Creating config file /etc/moodle/config.php with new version
  /usr/share/wwwconfig-common/pgsql.get: line 77: psql: command not found
  dpkg: error processing moodle (--configure):
   subprocess post-installation script returned error exit status 127
  dpkg: dependency problems prevent configuration of moodle-book:
   moodle-book depends on moodle (>= 1.6.3); however:
    Package moodle is not configured yet.
  dpkg: error processing moodle-book (--configure):
   dependency problems - leaving unconfigured
  Errors were encountered while processing:
   moodle
   moodle-book
  E: Sub-process /usr/bin/dpkg returned an error code (1)


the full log can be found here:

 http://people.debian.org/~lucas/logs/2007/07/01/

bye,
    - michael



Information forwarded to debian-bugs-dist@lists.debian.org, Isaac Clerencia <isaac@debian.org>:
Bug#431589; Package moodle. Full text and rfc822 format available.

Acknowledgement sent to Tobias Klauser <tklauser@access.unizh.ch>:
Extra info received and forwarded to list. Copy sent to Isaac Clerencia <isaac@debian.org>. Full text and rfc822 format available.

Message #10 received at 431589@bugs.debian.org (full text, mbox):

From: Tobias Klauser <tklauser@access.unizh.ch>
To: 431589@bugs.debian.org
Subject: NMU diff for #431589
Date: Sat, 12 Jan 2008 19:38:04 +0100
[Message part 1 (text/plain, inline)]
Hi,

Attached you'll find the NMU diff to fix this bug.

Cheers, Tobias
[431589-NMU.diff (text/x-diff, attachment)]

Reply sent to Tobias Klauser <tklauser@access.unizh.ch>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Michael Ablassmeier <abi@grinser.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #15 received at 431589-close@bugs.debian.org (full text, mbox):

From: Tobias Klauser <tklauser@access.unizh.ch>
To: 431589-close@bugs.debian.org
Subject: Bug#431589: fixed in moodle 1.8.2-1.1
Date: Sat, 12 Jan 2008 18:47:12 +0000
Source: moodle
Source-Version: 1.8.2-1.1

We believe that the bug you reported is fixed in the latest version of
moodle, which is due to be installed in the Debian FTP archive:

moodle_1.8.2-1.1.diff.gz
  to pool/main/m/moodle/moodle_1.8.2-1.1.diff.gz
moodle_1.8.2-1.1.dsc
  to pool/main/m/moodle/moodle_1.8.2-1.1.dsc
moodle_1.8.2-1.1_all.deb
  to pool/main/m/moodle/moodle_1.8.2-1.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 431589@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Tobias Klauser <tklauser@access.unizh.ch> (supplier of updated moodle package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 12 Jan 2008 17:04:03 +0100
Source: moodle
Binary: moodle
Architecture: source all
Version: 1.8.2-1.1
Distribution: unstable
Urgency: low
Maintainer: Isaac Clerencia <isaac@debian.org>
Changed-By: Tobias Klauser <tklauser@access.unizh.ch>
Description: 
 moodle     - Course Management System for Online Learning
Closes: 431589
Changes: 
 moodle (1.8.2-1.1) unstable; urgency=low
 .
   * Non-maintainer upload from the Zurich BSP
   * Added dependency on postgresql-client (Closes: #431589)
Files: 
 ac677cb5810e2907b9245c53b60b37ea 606 web optional moodle_1.8.2-1.1.dsc
 2d5ee62cdc74d5b7325a15698f5ee650 15826 web optional moodle_1.8.2-1.1.diff.gz
 890ac8d151726f5afe4c5aa90ded58c0 9403670 web optional moodle_1.8.2-1.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHiQfs+C5cwEsrK54RAiFVAJ92EBbiRXUW7drgI9Xa3QJzo2GuHQCgnL5o
arhaM/Js0vUlDFUHLjZOmT4=
=83Cs
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 21 Feb 2008 07:33:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 02:02:08 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.